> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentphone.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentphone.ai/_mcp/server.

# List Conversations

GET https://api.agentphone.ai/v1/conversations

List all conversations for this account.

Sorted by most recent activity (lastMessageAt desc).
Sorted by most recent activity.

Reference: https://docs.agentphone.ai/api-reference/conversations/list-conversations-v-1-conversations-get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `offset` (integer, optional, default: 0)

### Headers

- `X-Sub-Account-Id` (string, optional, default: 20) — Target a sub-account. Pass a sub-account ID to scope this request. Omit to use the master account.

## Response

### 200

Successful Response

- `data` (list of app__routes__conversations__ConversationSummary, required)
- `hasMore` (boolean, required)
- `total` (integer, required)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### app__routes__conversations__ConversationSummary

- `id` (string, required)
- `phoneNumberId` (string, required)
- `phoneNumber` (string, required)
- `participant` (string, required)
- `lastMessageAt` (datetime, required)
- `lastMessagePreview` (string, required)
- `messageCount` (integer, required)
- `createdAt` (datetime, required)
- `agentId` (string, optional, nullable)
- `channel` (string, optional, default: native)
- `isGroup` (boolean, optional, default: false)
- `groupId` (string, optional, nullable)
- `groupName` (string, optional, nullable)
- `groupIconUrl` (string, optional, nullable)
- `participants` (list of GroupParticipant, optional, nullable)
- `metadata` (AppRoutesConversationsConversationSummaryMetadata, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### GroupParticipant

A member of a group chat, mirrored from Conversation.participants.

- `identifier` (string, required)
- `name` (string, optional, nullable)

### AppRoutesConversationsConversationSummaryMetadata

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "string",
      "phoneNumberId": "string",
      "phoneNumber": "string",
      "participant": "string",
      "lastMessageAt": "2024-01-15T09:30:00Z",
      "lastMessagePreview": "string",
      "messageCount": 1,
      "createdAt": "2024-01-15T09:30:00Z",
      "agentId": "string",
      "channel": "native",
      "isGroup": false,
      "groupId": "string",
      "groupName": "string",
      "groupIconUrl": "string",
      "participants": [
        {
          "identifier": "string",
          "name": "string"
        }
      ],
      "metadata": {}
    }
  ],
  "hasMore": true,
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.agentphone.ai/v1/conversations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentphone.ai/v1/conversations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentphone.ai/v1/conversations"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentphone.ai/v1/conversations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.agentphone.ai/v1/conversations")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.agentphone.ai/v1/conversations', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentphone.ai/v1/conversations");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentphone.ai/v1/conversations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```